This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 577137 - [abrt] crash in system-config-display-2.2-1.fc12
[abrt] crash in system-config-display-2.2-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
abrt_hash:ad6e8169
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 06:10 EDT by Samuel Hodges
Modified: 2010-12-03 11:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 11:44:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.53 KB, text/plain)
2010-03-26 06:10 EDT, Samuel Hodges
no flags Details

  None (edit)
Description Samuel Hodges 2010-03-26 06:10:06 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
cmdline: python2 /usr/share/system-config-display/xconf.py 
component: system-config-display
executable: /usr/share/system-config-display/xconf.py
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: system-config-display-2.2-1.fc12
release: Fedora release 12 (Constantine)
uuid: 899ffa3f

backtrace
-----
Summary: TB899ffa3f xConfigDialog.py:640:__init__:IndexError: index out-of-bounds

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

Local variables in innermost frame:
count: 11
current: 10
available_resolutions: ['320x240', '400x300', '512x384', '640x480', '700x525', '800x600', '832x624', '1024x768', '1152x864', '1280x960', '1280x1024']
screen_list: <XF86GenericList object at 0x7f1738c86530>
vc: primary: 0
vidCards: [<videocard.VideoCard instance at 0x2ef7098>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation GeForce 8500 GT
vidRam: None

xml: <gtk.glade.XML object at 0x2cbfeb0 (PyGladeXML at 0x2d8f0b0)>
res: 1280x1024
self: <xConfigDialog.XConfigDialog instance at 0x2bb8830>
available: [8, 16, 24]
monitor_list: <XF86GenericList object at 0x7f1738c86440>
videocard_list: <XF86GenericList object at 0x7f1738c86468>
item: <gtk.MenuItem object at 0x2ef9690 (GtkMenuItem at 0x2e64440)>
depth: 24
iconPixbuf: <gtk.gdk.Pixbuf object at 0x2e260f0 (GdkPixbuf at 0x2f37230)>
res_menu: <gtk.Menu object at 0x2ef96e0 (GtkMenu at 0x2e8f7f0)>
videocard_menu: <gtk.Menu object at 0x2ef97d0 (GtkMenu at 0x2e8f980)>
hardware_state: <xhwstate.XF86HardwareState instance at 0x294d050>
xconfig: <XF86Config object at 0x2b989f0>
Comment 1 Samuel Hodges 2010-03-26 06:10:11 EDT
Created attachment 402782 [details]
File: backtrace
Comment 2 Jorge Emmanuel 2010-05-30 11:20:17 EDT
Package: system-config-display-2.2-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.run system-config-display
2.
3.
Comment 3 Bug Zapper 2010-11-03 14:34:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 11:44:29 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.